/* CSS file for wundergraph-generated graphs and archive webforms */
/* 2020-01-05 - Tom von Alten */
body { margin:0; padding: 0; font-family: sans-serif; }
canvas { margin: 0; padding: 0; }	/* ctr requires text-align */
div.ctr { text-align:center; }

*, *:before, *:after {
 -moz-box-sizing: border-box;
 -webkit-box-sizing: border-box;
 box-sizing: border-box;
}

div.smscreen form {
 max-width: 300px;
 margin: 10px auto;
 padding: 10px 20px;
 background: #f4f4f8;
 border-radius: 8px;
}

div.smscreen input[type="text"],
div.smscreen input[type="password"],
div.smscreen input[type="date"],
div.smscreen input[type="datetime"],
div.smscreen input[type="email"],
div.smscreen input[type="number"],
div.smscreen input[type="search"],
div.smscreen input[type="tel"],
div.smscreen input[type="time"],
div.smscreen input[type="url"],
div.smscreen textarea,
select {
 background: rgba(255,255,255,0.1);
 border: none;
 font-size: 16px;
 height: auto;
 margin: 0; outline: 0; padding: 15px;
 width: 100%;
 background-color: #e4e4e8;
 color: #8a97a0;
 box-shadow: 0 1px 0 rgba(0,0,0,0.06) inset;
 margin-bottom: 20px;
}
div.lgscreen input[type="number"] { width: 3em; }
.pad { padding-left: 1.5em;}

input[type="radio"],
input[type="checkbox"] {
 margin: 0 4px 8px 0;
}

select {
 padding: 6px;
 height: 32px;
 border-radius: 2px;
}

button {
 padding: 19px 39px 18px 39px;
 color: black;
 background-color: #bb9;
 font-size: 18px;
 text-align: center;
 font-style: normal;
 border-radius: 5px;
 width: 100%;
 border: 1px solid #aa8;
 border-width: 1px 1px 3px;
 box-shadow: 0 -1px 0 rgba(255,255,255,0.06) inset;
 margin-bottom: 10px;
}

label {
 display: inline;
 font-weight: normal;
 margin-bottom: 8px;
}
label.light { font-weight: 300; }

/* Alternate forms for large and small screens */
@media screen and (min-width: 769px) {
 div.smscreen form { display: none; }
 div.lgscreen form { display: block; }
}
@media screen and (max-width: 768px) {
 div.smscreen form { display: block; }
 div.lgscreen form { display: none; }
}
@media screen and (max-width: 768px) and (min-width: 480px) {
 form { max-width: 480px; }
}
